Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class CertStatus

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.CertStatus

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CertStatus
extends ASN1Object

CertStatus ::= SEQUENCE { certHash OCTET STRING, certReqId INTEGER, statusInfo PKIStatusInfo OPTIONAL, hashAlg [0] AlgorithmIdentifier{DIGEST-ALGORITHM, {[]}} OPTIONAL }

Constructor Summary
`CertStatus(byte[] certHash, ASN1Integer certReqId)`
`CertStatus(byte[] certHash, java.math.BigInteger certReqId)`
`CertStatus(byte[] certHash, java.math.BigInteger certReqId, PKIStatusInfo statusInfo)`
`CertStatus(byte[] certHash, java.math.BigInteger certReqId, PKIStatusInfo statusInfo, AlgorithmIdentifier hashAlg)`

Method Summary
`ASN1OctetString` | `getCertHash()`
`ASN1Integer` | `getCertReqId()`
`AlgorithmIdentifier` | `getHashAlg()`
`static CertStatus` | `getInstance(java.lang.Object o)`
`PKIStatusInfo` | `getStatusInfo()`
`ASN1Primitive` | `toASN1Primitive()` CertStatus ::= SEQUENCE { certHash OCTET STRING, certReqId INTEGER, statusInfo PKIStatusInfo OPTIONAL, hashAlg [0] AlgorithmIdentifier{DIGEST-ALGORITHM, {[]}} OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertStatus

    public CertStatus(byte[] certHash,
                      java.math.BigInteger certReqId)

### CertStatus

    public CertStatus(byte[] certHash,
                      ASN1Integer certReqId)

### CertStatus

    public CertStatus(byte[] certHash,
                      java.math.BigInteger certReqId,
                      PKIStatusInfo statusInfo)

### CertStatus

    public CertStatus(byte[] certHash,
                      java.math.BigInteger certReqId,
                      PKIStatusInfo statusInfo,
                      AlgorithmIdentifier hashAlg)

Method Detail

### getInstance

    public static CertStatus getInstance(java.lang.Object o)

### getCertHash

    public ASN1OctetString getCertHash()

### getCertReqId

    public ASN1Integer getCertReqId()

### getStatusInfo

    public PKIStatusInfo getStatusInfo()

### getHashAlg

    public AlgorithmIdentifier getHashAlg()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  CertStatus ::= SEQUENCE { certHash OCTET STRING, certReqId INTEGER, statusInfo PKIStatusInfo OPTIONAL, hashAlg [0] AlgorithmIdentifier{DIGEST-ALGORITHM, {[]}} OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD